* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

@font-face {
    font-family: 'Poppins-regular';
    src: url(./Fonts/Poppins-Regular.ttf);
}

:root {
    --primarytext-color: rgb(114, 168, 190);
    --subtext-color: rgba(143, 184, 195, 1);
    --background-color: rgba(16, 25, 32, 1);
    --headeractive-text: rgba(238, 204, 109, 1);
    --headernonactive-text: rgba(73, 108, 117, 1);
    --headerbg: rgba(16, 25, 32, 1);
    --textnonactive: rgb(42, 134, 187);
    --projectstitle: rgb(82, 150, 189);
    --transition-duration: 0.5s;
    --scale: 1;
    --scale-hover: 1.1;
    --spacing-unit: 20px;
    --font-size-base: 20px;
    --font-size-heading: 30px;
    --font-weight-regular: 300;
    --font-weight-bold: 700;
    --font-family: 'Poppins-regular', sans-serif;
}


.active {
    color: var(--headeractive-text);
}

nav ul {
    list-style: none;
    display: flex;
    gap: var(--spacing-unit);
    flex-wrap: wrap;
}

nav ul li a {
    display: inline-block;
    text-decoration: none;
    font-weight: var(--font-weight-bold);
    color: var(--primarytext-color);
    transition: var(--transition-duration) ease, transform var(--transition-duration)ease;
    font-family: var(--font-family);
}

nav ul li a:hover {
    color: var(--textnonactive);
    transform: scale(var(--scale-hover));
}

header {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    padding: var(--spacing-unit);
    width: 100%;
}

h1 {
    margin-top: var(--spacing-unit);
    font-size: var(--font-size-heading);
    color: var(--textnonactive);
    font-family: var(--font-family);
}

.text1 {
    justify-content: center;
    flex-direction: column;
    min-height: 50vh;
    align-items: center;
    /* Centers the h1 horizontally */
    text-align: center;
    /* Centers the text */
    margin: 0 auto;
    color: var(--subtext-color);
    width: 600px;
    font-family: var(--font-family);
}

hr {
    width: 100%;
    /* Set width to make it not full-width; adjust as needed */
    border: none;
    /* Remove default border */
    border-top: 2px solid var(--primarytext-color);
    /* Add a custom color and thickness */
    margin: var(--spacing-unit) 0;
}

.text1 p {
    line-height: 1.6;
    font-family: var(--font-family);
}

/* .underline2 hr {
    width: 20%;
    border: none;
    border-top: 2px solid var(--primarytext-color);
    margin-left: 280px;
    font-family: var(--font-family);
}*/


/* .underline3 hr {
    width: 20%;
    border: none;
    border-top: 2px solid var(--primarytext-color);
    margin-left: 280px;
    font-family: var(--font-family);
}*/

.text2 {
    width: 50%;
    text-align: center;
    color: var(--subtext-color);
    font-family: var(--font-family);
    align-items: center;
    position: relative;
    /* left: 380px; */
}

.grid-wholecontainer {
    display: grid;
    grid-template-columns: 1fr 1fr;
    justify-content: space-around;
    gap: 40px;
}

.educationtext {

    display: flex;
    flex-direction: column;
    align-items: flex-end;

}

.text3 {
    width: 20%;
    /* Set width to make it not full-width; adjust as needed */
    border: none;
    /* Remove default border */
    /* margin-left: 280px; */
    font-family: var(--font-family);
    align-items: center;
}

.grid-container2 {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 18px;
    padding: 10px;
    width: 380px;
    font-family: var(--font-family);
    /* margin-left: 290px; */
    color: var(--subtext-color);
    text-align: center;
    font-size: 1em;

}

.grid-container {
    display: grid;
    grid-template-columns: 120px 50px 160px;
    gap: 10px;
    padding: 10px;
    width: 390px;
    font-family: var(--font-family);
    align-items: center;
    color: var(--subtext-color);
}


.gradientcontainer {
    height: 150vh;
    width: 100vw;
    position: absolute;
    margin: auto;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    overflow: hidden;
    border-radius: 10px;
    z-index: -1;
    --background-color: rgba(16, 25, 32, 1);

}

.gradientcontainer div {
    --background-color: rgba(16, 25, 32, 1);
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    border-radius: 20%;
    animation: gradient 3s infinite;
}

@keyframes gradient {
    50% {
        transform: scale(1.2) translate(50px);
    }
}

.gradientcontainer div:nth-child(1) {
    height: 90%;
    width: 80%;
    background-color: #020305;
    left: -29%;
    top: -10%;
    animation-delay: 1.5s;

}

.gradientcontainer div:nth-child(2) {
    height: 80%;
    width: 70%;
    background-color: #090d1f;
    left: -12%;
    top: 62%;
    animation-delay: 2s;
}

.gradientcontainer div:nth-child(3) {
    height: 65%;
    width: 80%;
    background-color: #02081a;
    left: -15%;
    top: -20%;
    animation-delay: 0.3s;
}

.gradientcontainer div:nth-child(4) {
    height: 40%;
    width: 75%;
    background-color: #090d1f;
    left: -10%;
    top: -12%;
    animation-delay: 1.2s;
}

.gradientcontainer div:nth-child(5) {
    height: 100%;
    width: 45%;
    background-color: #4a5685;
    left: 50%;
    right: 80%;
    top: -10%;
    animation-delay: 3.5s;
}

.gradientcontainer div:nth-child(6) {
    height: 90%;
    width: 90%;
    background-color: #09313d;
    left: 10%;
    top: 45%;
    animation-delay: 1s;
}

.gradientcontainer::after {
    position: absolute;
    content: "";
    height: 100%;
    width: 100%;
    backdrop-filter: blur(80px);
}

.gradientcontainer div:nth-child(7) {
    height: 60%;
    width: 55%;
    background-color: #090d1f;
    left: 50%;
    top: -10%;
    animation-delay: 0.5s;
}

.imageboxes {
    width: 60px;
    position: relative;
    display: flex;
    flex-direction: column;
}

.imageboxes img {
    /* position: absolute; */
    width: 100%;
    background-color: #090d1f;
    background-size: auto;
    padding: 10px;
    border-radius: 5px;
}


@media screen and (max-width: 1200px) {
   
    .grid-container {
        width: 100%;
        padding: 0;
        justify-content: center;
        /* margin: auto; */
        margin-left: 20px;
    }

}


@media screen and (max-width: 788px) {
    header {
        justify-content: center;
        /* Centers the header items horizontally */
        align-items: center;
        /* Centers the items vertically if needed */
        width: 100%;
        /* Ensure the header takes full width */
    }

    nav ul {
        align-items: center;
        /* Center align navigation items */
        gap: 20px;
    }

    .text1 {
        width: 90%;
    }

    .text1 h1 {
        font-size: 1.5em;
    }

    .text1 p {
        font-size: 1.075em;
        line-height: 1.5;
    }

    .grid-container {
        width: 100%;
        padding: 0;
        justify-content: center;
        margin: auto;
        margin-left: 20px;
    }

    .grid-container2 {
        width: 100%;
        padding: 0;
        justify-content: center;
        margin: auto;
    }

    /* .underline2 {
        align-items: center;
        justify-content: center;
        width: 100%;
        flex: auto;

    } */

    .gradientcontainer {
        height: 160vh;

    .text2 {
        position: unset;
        justify-content: center;
        padding-top: 10px;
    }

    .gradientcontainer {
        height: 190vh;
    }

    .text3 {
        text-align: center;
        margin: auto;
    }

    .grid-wholecontainer {
        grid-template-columns: 1fr;
    }

    .text2 {
        width: 100%;
    }
}


@media screen and (max-width: 430px) {
    .grid-wholecontainer {
        grid-template-columns: 1fr;
    }

    .text2 {
        width: 100%;
    }

    .gradientcontainer {
        height: 350vh;
        width: 100vw;
    }

    .grid-container {
        padding-bottom: 20px;
        font-size: 0.85em;
        grid-template-columns: 120px 30px 160px;
        gap: 10px;
        padding: 10px;
    }

    .grid-container hr {
        width: 100%;
    }

    .grid-container2 {
        font-size: 0.85em;
    }

    /* .underline2 hr {
        justify-content: center;
        margin: auto;
        align-items: center;
        width: 50%;
        padding-bottom: 20px;
    }

    .underline3 hr {
        justify-content: center;
        margin: auto;
        align-items: center;
        width: 50%;
        padding-bottom: 20px;
    } */
}

@media screen and (max-width: 320px) {
    .gradientcontainer {
        height: 340vh;
    }

    .grid-container {
        grid-template-columns: 110px 15px 120px;
        margin: auto;
    }

    .grid-container2 {
        grid-template-columns: 80px 80px 80px;
        margin: auto;
    }

    header {
        justify-content: center;
        padding: 10px;
    }

    .text1 {
        padding-top: 20px;
    }
}
}    